// MKINITCPIO + UKI

use crate::{config::DriveConfig, print_status, run_command};

use super::str_vec;

pub fn setup_mkinitcpio(conf: &DriveConfig) {
    print_status("Writing /etc/mkinitcpio.d/linux.preset");
    std::fs::write(
        "/mnt/etc/mkinitcpio.d/linux.preset",
        include_str!("../root/mkinitcpio/linux.preset"),
    )
    .unwrap();

    // Set kernel cmdline
    // TODO : Encryption support
    std::fs::create_dir_all("/mnt/etc/kernel").unwrap();
    std::fs::write("/mnt/etc/kernel/cmdline", format!("root={}", conf.root)).unwrap();

    // TODO : more configs
    print_status("Writing /etc/mkinitcpio.conf");
    std::fs::write(
        "/mnt/etc/mkinitcpio.conf",
        include_str!("../root/mkinitcpio.conf"),
    )
    .unwrap();
    run_command(
        &str_vec(vec!["arch-chroot", "/mnt", "mkinitcpio", "--allpresets"]),
        None,
        true,
    );
}
