use crate::{config::PackageConfig, install::str_vec, run_command};

pub const DESKTOP_PKG: [&str; 3] = ["plasma", "sddm", "navos/navos"];

pub const SERVER_PKG: [&str; 2] = ["tmux", "navos/navos"];

pub fn install_pkgs(pkg: &[&str]) {
    let mut cmd = vec!["arch-chroot", "/mnt", "pacman", "-Syu"];

    cmd.push("--noconfirm");
    cmd.extend_from_slice(pkg);

    run_command(&str_vec(cmd), None, true);
}

// PACSTRAP

pub fn pacstrap(conf: &PackageConfig) {
    let mut cmd: Vec<String> = vec![
        "pacstrap".into(),
        "-K".into(),
        "/mnt".into(),
        "base".into(),
        "linux".into(),
        "linux-firmware".into(),
        "linux-headers".into(),
        "git".into(),
        "networkmanager".into(),
        "nano".into(),
        "doas".into(),
    ];

    cmd.extend(conf.pkg.clone());

    run_command(&cmd, None, true);
}
